\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{extra}[2023/06/08 A simple package with extra additional things]

\newcommand{\paren}[1]{\left( \left. #1 \right. \right)}
\newcommand{\croch}[1]{\left[ \left. #1 \right. \right]}
\newcommand{\set}[1]{\left\{ \left. #1 \right. \right\}}
\newcommand{\absj}[1]{\left\lvert #1 \right\rvert}
\newcommand{\normsup}[1]{\left\lVert #1 \right\rVert_{\infty}}

\newcommand{\R}{\mathbb{R}}
\newcommand{\N}{\mathbb{N}}

\newcommand{\Prob}{\mathbb{P}}
\newcommand{\prob}{\mathbf{p}}
\newcommand{\E}{\mathbb{E}}
\newcommand{\given}{\, \right| \left. \,}

\RequirePackage{dsfont}
\newcommand{\1}{\mathds{1}}
\newcommand{\un}{\mathds{1}}

\newcommand{\States}{\mathcal{S}}
\newcommand{\Actions}{\mathcal{A}}
\newcommand{\Observ}{\mathcal{O}}
\newcommand{\echL}{\mathcal{L}}

\newcommand{\guil}[1]{``#1''}
\newcommand{\suchthat}{\mbox{ s.t. }}

\newcommand{\poss}{\pi}
\newcommand{\nec}{\eta}
\newcommand{\Poss}{\Pi}
\newcommand{\Nec}{\mathcal{N}}
\newcommand{\bel}{\mathbf{b}}
\newcommand{\bp}{\beta}
\newcommand{\Bel}{\mathcal{B}el}
\newcommand{\Pl}{\mathcal{P}l}
\newcommand{\X}{\mathcal{X}}
\newcommand{\Y}{\mathcal{Y}}
\newcommand{\Bellman}{\mathcal{B}}
\newcommand{\FB}{\mathcal{F}_{B}}
\newcommand{\aaa}{\mbox{a}}
\newcommand{\ooo}{\mbox{o}}
\newcommand{\bao}{\beta^{a,o'}}
\newtheorem{thm}{Theorem}
\newtheorem{prp}{Proposition}
\newcommand{\nico}[1]{}

% reduce spacing within itemize/enumerate environments,
% this is used right after \begin{itemize} or \begin{enumerate}
\newcommand{\compresslist}{
    \setlength{\itemsep}{1pt}
    \setlength{\parskip}{0pt}
    \setlength{\parsep}{0pt}
}

\newcommand*{\TakeFourierOrnament}[1]{{%
\fontencoding{U}\fontfamily{futs}\selectfont\char#1}}
\newcommand*{\danger}{\TakeFourierOrnament{66}}

\newcommand*\circled[1]{
    \tikz[baseline=(char.base)]{
        \node[shape=circle, draw, inner sep=2pt] (char) {#1};
    }
}

\newcommand*\circledColored[1]{
    \tikz[baseline=(char.base)]{
        \node[shape=circle, draw, inner sep=2pt, fill=lime(colorwheel)] (char) {#1};
    }
}

\newcommand*\circledColoredGreenOne[1]{
    \tikz[baseline=(char.base)]{
        \node[shape=circle, draw, inner sep=2pt, fill=lawngreen] (char) {#1};
    }
}

\newcommand*\circledColoredGreenTwo[1]{
    \tikz[baseline=(char.base)]{
        \node[shape=circle, draw, inner sep=2pt, fill=lightgreen!60] (char) {#1};
    }
}

\newcommand*\circledColoredGreenThree[1]{
    \tikz[baseline=(char.base)]{
        \node[shape=circle, draw, inner sep=2pt, fill=lime!80] (char) {#1};
    }
}

\newcommand\sbullet[1][.5]{\mathbin{\vcenter{\hbox{\scalebox{#1}{$\bullet$}}}}}

\def\columnseprulecolor{\color{blue}}
